﻿@model eCommerce.UI.ViewModels.Shop.ProductViewModel
@using eCommerce.Services.Utils
@using eCommerce.Services.Security
@using eCommerce.Services.Model.Enums

<div class="product-item js-product-item@(Model.ShopImageSize.HasValue ? " product-item--" + Model.ShopImageSize.Value.ToString() : string.Empty)">
    @if (Model.SoldOut)
    {
        <div class="ribbon dark-grey" style="right:0; top:18px"><span>Agotado</span></div>
    }

    @* @if (Model.OnSale)
        {
            <div class="ribbon"> OnSale </div>
        }*@

    @if (Model.OldPrice.HasValue && Model.OldPrice.Value != 0)
    {
        var number = (Model.OldPrice.Value - Model.Price) / Model.OldPrice.Value * 100;
        var percentage = Math.Round((decimal.ToDouble(number.Value)), MidpointRounding.AwayFromZero).ToString();
        <div class="discount-ribbon"><p class="percentage"> @percentage% OFF</p></div>
    }

    @if (!string.IsNullOrEmpty(Model.Pay_x_get_y_promotion))
    {
        <div class="discount-ribbon"><span>@Model.Pay_x_get_y_promotion</span></div>
    }

    <div class="product-item__image-wrapper">
        @{
            var Images = Model.Images;
            if (Model.ShopImageSize > 1)
            {
                Images = Images.Where(x => x.Orientation == (int)ImageOrientationEnum.Landscape).ToList();
            }
            else
            {
                Images = Images.Where(x => x.Orientation == (int)ImageOrientationEnum.Portrait).ToList();
            }

            Images = Images.OrderByDescending(x => x.Default).ThenBy(x => x.ColorId).ToList();
        }
        @if (Images.Any())
        {
            <div class="product-item__image">
                <div class="js-product-slider">
                    @foreach (var item in Images)
                    {
                        <div class="product-image__slide" data-color-id="@item.ColorId">
                            <a href="@Model.Url">
                                <div class="product-image-container" style="background-image:url(@item.ResizedUrl)"></div>
                            </a>
                        </div>
                    }
                </div>
            </div>
        }





    </div>
    <div class="product-item__body">

        <div class="product-item__top">
            <div class="body_info">
                <div class="title">
                    <a href="@Model.Url">@Model.Title</a>
                </div>
                <div class="prices">
                    @if (Model.OldPrice.HasValue && Model.OldPrice.Value != 0)
                    {
                        <div class="price-old">$@Model.OldPrice.Value</div>
                    }
                    <div class="price-current">$@(Model.Price == null ? Model.WholesalePrice : Model.Price)</div>

                    @*<div class="price-prev">@(item.CustomerOldPrice.HasValue ? "$ " + item.CustomerOldPrice.Value : string.Empty)</div>*@
                </div>
            </div>

        </div>

        <div class="product-item__colors">
            @{
                var Colors = Model.ColorList.Where(x => x.Deleted == null).Distinct();
                Colors = Colors
                        .OrderByDescending(x => Images.Select(s => s.ColorId).Contains(x.ColorId))
                        .ThenBy(x => x.ColorId).ToList();

                if (Images.Any(x => x.Default))
                {
                    Colors = Colors
                        .OrderByDescending(x => x.ColorId == Images.FirstOrDefault(s => s.Default).ColorId)
                        .ThenByDescending(x => Images.Select(s => s.ColorId).Contains(x.ColorId))
                        .ThenBy(x => x.ColorId).ToList();
                }
            }

            @if (Colors.Count() > 0)
            {
                foreach (var color in Colors)
                {
                    <div class="product-item__color-item js-product-color" id="color-@color.ColorId" data-color-id="@color.ColorId">
                        <img data-color-id="@color.ColorId" class="product-item__color-image colorSelector" style="@(color.Description.ToLower().Contains("blanco") ? "border:1px solid #000;" : string.Empty)" src="@Utility.ImgUrl/Colors/@color.ColorId/@color.ColorThumb" alt="@color.Description" title="@color.Description" width="20" height="20" />
                        <span class="product-item__color-name">@color.Description</span>
                    </div>
                }
            }
        </div>


        <div class="button-view-detail">
            <a href="@Model.Url">
                <button class="button-detail">
                    VER DETALLE
                </button>
            </a>



        </div>
    </div>
</div>